aboutsummaryrefslogtreecommitdiffstats
path: root/community/tomcat-native
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-11-27 00:15:28 +0100
committerJakub Jirutka <jakub@jirutka.cz>2016-11-27 00:16:26 +0100
commit104e341a9a1a28a7d036f9d8f2db3fed9a9f6c97 (patch)
treeeccae7bf017602375c428771ea88f8721ba2559d /community/tomcat-native
parent853cd1e5ab1e96ce60f70dfdeabf0a969b305820 (diff)
downloadaports-104e341a9a1a28a7d036f9d8f2db3fed9a9f6c97.tar.gz
aports-104e341a9a1a28a7d036f9d8f2db3fed9a9f6c97.tar.bz2
aports-104e341a9a1a28a7d036f9d8f2db3fed9a9f6c97.tar.xz
community/tomcat-native: move from testing and claim maintainership
Diffstat (limited to 'community/tomcat-native')
-rw-r--r--community/tomcat-native/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/community/tomcat-native/APKBUILD b/community/tomcat-native/APKBUILD
new file mode 100644
index 0000000000..c778145ed3
--- /dev/null
+++ b/community/tomcat-native/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Sean Summers <seansummers@gmail.com>
+# Maintainer:
+# TODO: Patch for LibreSSL and enable SSL support.
+pkgname=tomcat-native
+pkgver=1.2.10
+pkgrel=1
+pkgdesc="Native resources optional component for Apache Tomcat"
+url="http://tomcat.apache.org/native-doc/"
+arch="all"
+license="ASL-2.0"
+depends="openjdk8-jre-base"
+makedepends="apr-dev chrpath openjdk8"
+subpackages="$pkgname-dev"
+source="http://www-eu.apache.org/dist/tomcat/tomcat-connectors/native/$pkgver/source/$pkgname-$pkgver-src.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver-src/native"
+
+build() {
+ cd "$builddir"
+
+ ./configure --prefix=/usr \
+ --with-apr=/usr/bin/apr-1-config \
+ --with-java-home=/usr/lib/jvm/default-jvm \
+ --with-ssl=no \
+ --disable-openssl || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+
+ make DESTDIR="$pkgdir" install || return 1
+
+ # Remove redundant rpath.
+ chrpath --delete "$pkgdir"/usr/lib/libtcnative-1.so || return 1
+
+ rm -f "$pkgdir"/usr/lib/libtcnative-1.la || return 1
+ rmdir "$pkgdir"/usr/bin
+}
+
+dev() {
+ default_dev || return 1
+ mv "$subpkgdir"/usr/lib/libtcnative-1.so "$pkgdir"/usr/lib/
+}
+
+md5sums="7529a2240f1405f206d2c47dce2f5e6d tomcat-native-1.2.10-src.tar.gz"
+sha256sums="553a796f1efb9d52a22a24636baca45ae265327f2a2d2f3169436b4012df9c35 tomcat-native-1.2.10-src.tar.gz"
+sha512sums="ab12525e031f4b0221634bde0b3af826c2231a8655032917bd09fe26075cc8b9bce7a7c5de369f525230155d50ec41ff84fb074c45ef9f34319f910e907d66a6 tomcat-native-1.2.10-src.tar.gz"